diff --git a/src/df.c b/src/df.c
index 53bc4a895e..ff701725f4 100644
--- a/src/df.c
+++ b/src/df.c
@@ -270,11 +270,7 @@ static int df_read (void)
 		else
 		{
 			if (strcmp (mnt_ptr->dir, "/") == 0)
-			{
-				if (strcmp (mnt_ptr->type, "rootfs") == 0)
-					continue;
 				sstrncpy (disk_name, "root", sizeof (disk_name));
-			}
 			else
 			{
 				int i, len;
